# Interface ILevelsOptions

#### Hierarchy

- ILevelsOptions

- Defined in file/numbering/level.ts:205

#####
Index

### Properties

alignment?
format?
isLegalNumberingStyle?
level
start?
style?
suffix?
text?

## Properties

### `Optional` `Readonly` alignment

alignment?: "center" | "left" | "right" | "start" | "end" | "both" | "mediumKashida" | "distribute" | "numTab" | "highKashida" | "lowKashida" | "thaiDistribute"

- Defined in file/numbering/level.ts:209

### `Optional` `Readonly` format

format?: "none" | "bullet" | "decimal" | "upperRoman" | "lowerRoman" | "upperLetter" | "lowerLetter" | "ordinal" | "cardinalText" | "ordinalText" | "hex" | "chicago" | "ideographDigital" | "japaneseCounting" | "aiueo" | "iroha" | "decimalFullWidth" | "decimalHalfWidth" | "japaneseLegal" | "japaneseDigitalTenThousand" | "decimalEnclosedCircle" | "decimalFullWidth2" | "aiueoFullWidth" | "irohaFullWidth" | "decimalZero" | "ganada" | "chosung" | "decimalEnclosedFullstop" | "decimalEnclosedParen" | "decimalEnclosedCircleChinese" | "ideographEnclosedCircle" | "ideographTraditional" | "ideographZodiac" | "ideographZodiacTraditional" | "taiwaneseCounting" | "ideographLegalTraditional" | "taiwaneseCountingThousand" | "taiwaneseDigital" | "chineseCounting" | "chineseLegalSimplified" | "chineseCountingThousand" | "koreanDigital" | "koreanCounting" | "koreanLegal" | "koreanDigital2" | "vietnameseCounting" | "russianLower" | "russianUpper" | "numberInDash" | "hebrew1" | "hebrew2" | "arabicAlpha" | "arabicAbjad" | "hindiVowels" | "hindiConsonants" | "hindiNumbers" | "hindiCounting" | "thaiLetters" | "thaiNumbers" | "thaiCounting" | "bahtText" | "dollarText" | "custom"

- Defined in file/numbering/level.ts:207

### `Optional` `Readonly` isLegalNumberingStyle

isLegalNumberingStyle?: boolean

- Defined in file/numbering/level.ts:212

### `Readonly` level

level: number

- Defined in file/numbering/level.ts:206

### `Optional` `Readonly` start

start?: number

- Defined in file/numbering/level.ts:210

### `Optional` `Readonly` style

style?: {
paragraph?: ILevelParagraphStylePropertiesOptions ;
run?: IRunStylePropertiesOptions ;
}

#### Type declaration

- ##### `Optional` `Readonly` paragraph?: ILevelParagraphStylePropertiesOptions

- ##### `Optional` `Readonly` run?: IRunStylePropertiesOptions

- Defined in file/numbering/level.ts:213

### `Optional` `Readonly` suffix

suffix?: "space" | "nothing" | "tab"

- Defined in file/numbering/level.ts:211

### `Optional` `Readonly` text

text?: string

- Defined in file/numbering/level.ts:208

Generated using TypeDoc